'use strict';
//      

class ExtMap       extends Map       {

  get               (key   , defaultValue   )        {
    const value = super.get(key)
    return value !== undefined ? value : defaultValue
  }
}
exports.ExtMap = ExtMap

function regexpEscape (str        ) {
  // Based on https://github.com/ljharb/regexp.escape.
  return str.replace(/[\^$\\.*+?()[\]{}|]/g, '\\$&')
}
exports.regexpEscape = regexpEscape
