'use strict';
//      
                          // global variable

let loaded = false

// Polyfill for Asciidoctor.js API with methods we need.
Object.defineProperty(exports, '__esModule', {value: true}).default = () => {
  if (loaded) { return }

  const $AbstractBlock = Opal.const_get_qualified(Opal.Asciidoctor, 'AbstractBlock').prototype

  if (!$AbstractBlock.applySubs) {
    $AbstractBlock.applySubs = function (text        , subs               )         {
      return this.$apply_subs(text, subs)
    }
  }
  // Internal method
  if (!$AbstractBlock.extractPassthroughs) {
    $AbstractBlock.extractPassthroughs = function (text        )         {
      return this.$extract_passthroughs(text)
    }
  }
  // Internal method
  if (!$AbstractBlock.restorePassthroughs) {
    $AbstractBlock.restorePassthroughs = function (text        , outer          = true) {
      return this.$restore_passthroughs(text, outer)
    }
  }

  const $Callouts = Opal.const_get_qualified(Opal.Asciidoctor, 'Callouts').prototype

  if (!$Callouts.readNextId) {
    $Callouts.readNextId = function ()         {
      return this.$read_next_id()
    }
  }

  const Table = Opal.const_get_qualified(Opal.Asciidoctor, 'Table')
  const $Table = Table.prototype

  if (!$Table.getRows) {
    $Table.getRows = function () {
      return this.$rows()
    }
  }

  const $Row = Opal.const_get_qualified(Table, 'Rows').prototype

  if (!$Row.getBody) {
    $Row.getBody = function () {
      return this.$body()
    }
  }

  const $Cell = Opal.const_get_qualified(Table, 'Cell').prototype

  if (!$Cell.getInnerDocument) {
    $Cell.getInnerDocument = function () {
      const inner = this.$inner_document()
      return inner === Opal.nil ? undefined : inner
    }
  }

  loaded = true
}
